Name:           ocaml-cfg
Version:        2.0.1
Release:        %mkrel 5
Summary:        Library for manipulation of context-free grammars (CFGs)
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://bitbucket.org/mmottl/cfg
Source0:        https://bitbucket.org/mmottl/cfg/downloads/cfg-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  tetex-latex
BuildRequires:  gzip
BuildRequires:  menhir

%description
This OCaml-library consists of a set of modules which implement functions
for manipulating context-free grammars (CFGs) in a purely functional way.

The core-module (cfg_impl.ml) contains a functor which allows the
parameterization of the main transformation functions with arbitrary grammar
entities that fill the demanded specification (see the interface in
"cfg_intf.mli" and the BNF-example).

Thus, you may use this module for any kind of symbol system and any kind of
representation which can be treated like a CFG.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cfg-%{version}

%build
./configure
make
make doc
mv _build/API.docdir/ html

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/cfg
make install

%files
%doc README.md COPYING.txt CHANGES.txt AUTHORS.txt
%dir %{_libdir}/ocaml/cfg
%{_libdir}/ocaml/cfg/META
%{_libdir}/ocaml/cfg/*.cmi
%{_libdir}/ocaml/cfg/*.cma
%{_libdir}/ocaml/cfg/*.cmxs

%files devel
%doc html/
%doc examples/
%{_libdir}/ocaml/cfg/*.a
%{_libdir}/ocaml/cfg/*.cmxa
%{_libdir}/ocaml/cfg/*.cmx
%{_libdir}/ocaml/cfg/*.mli
%{_libdir}/ocaml/cfg/*.ml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.0.1-5.mga4
+ Revision: 508442
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.1-4.mga3
+ Revision: 361208
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 2.0.1-3.mga3
+ Revision: 301559
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 2.0.1-2.mga3
+ Revision: 300052
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 2.0.1-1.mga3
+ Revision: 282995
- updated to last version 2.0.1

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.7.6-1.mga3
+ Revision: 262875
- updated to last version 1.7.6

* Thu Jan 12 2012 blue_prawn <blue_prawn> 1.7.5-1.mga2
+ Revision: 195096
- imported package ocaml-cfg

